[Bug 1845334] [NEW] Update DEP8 test to python3

Andreas Hasenack andreas at canonical.com
Wed Sep 25 14:04:16 UTC 2019


Public bug reported:

The postfix dep8 tests[1][2] should be updated to python3.

Some work about this was already done in the qa-regression-testing[3][4]
repository, which is where this test came from originally, so it should
hopefully just be a matter of cherry-picking the needed fixes. We could
also take the opportunity to update the script with new tests that have
been added.

Since postfix is a sync from debian, once we know the updated tests work
with py3 on both debian and ubuntu, the changes should be proposed to
Debian via salsa at https://salsa.debian.org/postfix-team/postfix-dev

1. https://git.launchpad.net/ubuntu/+source/postfix/tree/debian/tests/testlib.py
2. https://git.launchpad.net/ubuntu/+source/postfix/tree/debian/tests/test-postfix.py
3. https://git.launchpad.net/qa-regression-testing/tree/scripts/testlib.py
4. https://git.launchpad.net/qa-regression-testing/tree/scripts/test-postfix.py

** Affects: postfix (Ubuntu)
     Importance: Undecided
     Assignee: Andreas Hasenack (ahasenack)
         Status: Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Server, which is subscribed to postfix in Ubuntu.
https://bugs.launchpad.net/bugs/1845334

Title:
  Update DEP8 test to python3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1845334/+subscriptions



More information about the Ubuntu-server-bugs mailing list